# TFTP
Notes of TFTP protocol
## Overview
If the server grants the request to connect, the connection is opened and the file is sent in fixed length blocks of 512 bytes. Each data packet contains one block of data, and must be acknowledged by an acknowledgement packet before the next packet can be sent. A data packet of less than 512 bytes signals termination of a transfer. 

## Connection
A transfer is established by sending a request (WRQ to write onto a foreign file
system, or RRQ to read from it).

## Packets
TFTP supports five types of packets. 
|opcode|operation|
|------|---------|
|1     |Read request(RRQ)|
|------|---------|
|2     |Write request(WRQ)|
|------|---------|
|3     |Data (DATA)|
|------|---------|
|4     |Ack      |
|------|---------|
|5     |Error    |

